Index: trunk/FACT++/erfa/src/fama03.c
===================================================================
--- trunk/FACT++/erfa/src/fama03.c	(revision 18710)
+++ trunk/FACT++/erfa/src/fama03.c	(revision 18711)
@@ -35,9 +35,10 @@
 **     Astron.Astrophys.Supp.Ser. 135, 111
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double a;
+
 
 /* Mean longitude of Mars (IERS Conventions 2003). */
@@ -50,5 +51,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/fame03.c
===================================================================
--- trunk/FACT++/erfa/src/fame03.c	(revision 18710)
+++ trunk/FACT++/erfa/src/fame03.c	(revision 18711)
@@ -35,9 +35,10 @@
 **     Astron.Astrophys.Supp.Ser. 135, 111
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double a;
+
 
 /* Mean longitude of Mercury (IERS Conventions 2003). */
@@ -50,5 +51,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/fane03.c
===================================================================
--- trunk/FACT++/erfa/src/fane03.c	(revision 18710)
+++ trunk/FACT++/erfa/src/fane03.c	(revision 18711)
@@ -32,9 +32,10 @@
 **     Francou, G., Laskar, J. 1994, Astron.Astrophys. 282, 663-683
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double a;
+
 
 /* Mean longitude of Neptune (IERS Conventions 2003). */
@@ -47,5 +48,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/faom03.c
===================================================================
--- trunk/FACT++/erfa/src/faom03.c	(revision 18710)
+++ trunk/FACT++/erfa/src/faom03.c	(revision 18711)
@@ -32,9 +32,10 @@
 **     Francou, G., Laskar, J. 1994, Astron.Astrophys. 282, 663-683
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double a;
+
 
 /* Mean longitude of the Moon's ascending node */
@@ -52,5 +53,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/fapa03.c
===================================================================
--- trunk/FACT++/erfa/src/fapa03.c	(revision 18710)
+++ trunk/FACT++/erfa/src/fapa03.c	(revision 18711)
@@ -36,9 +36,10 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double a;
+
 
 /* General accumulated precession in longitude. */
@@ -51,5 +52,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/fasa03.c
===================================================================
--- trunk/FACT++/erfa/src/fasa03.c	(revision 18710)
+++ trunk/FACT++/erfa/src/fasa03.c	(revision 18711)
@@ -35,9 +35,10 @@
 **     Astron.Astrophys.Supp.Ser. 135, 111
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double a;
+
 
 /* Mean longitude of Saturn (IERS Conventions 2003). */
@@ -50,5 +51,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/faur03.c
===================================================================
--- trunk/FACT++/erfa/src/faur03.c	(revision 18710)
+++ trunk/FACT++/erfa/src/faur03.c	(revision 18711)
@@ -32,9 +32,10 @@
 **     Francou, G., Laskar, J. 1994, Astron.Astrophys. 282, 663-683
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double a;
+
 
 /* Mean longitude of Uranus (IERS Conventions 2003). */
@@ -47,5 +48,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/fave03.c
===================================================================
--- trunk/FACT++/erfa/src/fave03.c	(revision 18710)
+++ trunk/FACT++/erfa/src/fave03.c	(revision 18711)
@@ -35,9 +35,10 @@
 **     Astron.Astrophys.Supp.Ser. 135, 111
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double a;
+
 
 /* Mean longitude of Venus (IERS Conventions 2003). */
@@ -50,5 +51,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/fk52h.c
===================================================================
--- trunk/FACT++/erfa/src/fk52h.c	(revision 18710)
+++ trunk/FACT++/erfa/src/fk52h.c	(revision 18711)
@@ -54,5 +54,5 @@
 **     F.Mignard & M.Froeschle, Astron. Astrophys. 354, 732-739 (2000).
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -60,4 +60,5 @@
    int i;
    double pv5[2][3], r5h[3][3], s5h[3], wxp[3], vv[3], pvh[2][3];
+
 
 /* FK5 barycentric position/velocity pv-vector (normalized). */
@@ -91,5 +92,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/fk5hip.c
===================================================================
--- trunk/FACT++/erfa/src/fk5hip.c	(revision 18710)
+++ trunk/FACT++/erfa/src/fk5hip.c	(revision 18711)
@@ -37,5 +37,5 @@
 **     F.Mignard & M.Froeschle, Astron. Astrophys. 354, 732-739 (2000).
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -46,4 +46,5 @@
    double epx, epy, epz;
    double omx, omy, omz;
+
 
    epx = -19.9e-3 * ERFA_DAS2R;
@@ -74,5 +75,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/fk5hz.c
===================================================================
--- trunk/FACT++/erfa/src/fk5hz.c	(revision 18710)
+++ trunk/FACT++/erfa/src/fk5hz.c	(revision 18711)
@@ -70,5 +70,5 @@
 **     F.Mignard & M.Froeschle, 2000, Astron.Astrophys. 354, 732-739.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -76,4 +76,5 @@
    double t, p5e[3], r5h[3][3], s5h[3], vst[3], rst[3][3], p5[3],
           ph[3], w;
+
 
 /* Interval from given date to fundamental epoch J2000.0 (JY). */
@@ -108,5 +109,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/fw2m.c
===================================================================
--- trunk/FACT++/erfa/src/fw2m.c	(revision 18710)
+++ trunk/FACT++/erfa/src/fw2m.c	(revision 18711)
@@ -66,5 +66,5 @@
 **     Hilton, J. et al., 2006, Celest.Mech.Dyn.Astron. 94, 351
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -83,5 +83,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/fw2xy.c
===================================================================
--- trunk/FACT++/erfa/src/fw2xy.c	(revision 18710)
+++ trunk/FACT++/erfa/src/fw2xy.c	(revision 18711)
@@ -51,9 +51,10 @@
 **     Hilton, J. et al., 2006, Celest.Mech.Dyn.Astron. 94, 351
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double r[3][3];
+
 
 /* Form NxPxB matrix. */
@@ -69,5 +70,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/g2icrs.c
===================================================================
--- trunk/FACT++/erfa/src/g2icrs.c	(revision 18710)
+++ trunk/FACT++/erfa/src/g2icrs.c	(revision 18711)
@@ -62,5 +62,5 @@
 **     Publications Division, Noordwijk, Netherlands.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -110,5 +110,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/gc2gd.c
===================================================================
--- trunk/FACT++/erfa/src/gc2gd.c	(revision 18710)
+++ trunk/FACT++/erfa/src/gc2gd.c	(revision 18711)
@@ -52,5 +52,5 @@
 **     eraGc2gde    geocentric to geodetic transformation, general
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -58,4 +58,5 @@
    int j;
    double a, f;
+
 
 /* Obtain reference ellipsoid parameters. */
@@ -82,5 +83,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/gc2gde.c
===================================================================
--- trunk/FACT++/erfa/src/gc2gde.c	(revision 18710)
+++ trunk/FACT++/erfa/src/gc2gde.c	(revision 18711)
@@ -57,5 +57,5 @@
 **     79: 689-693
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -148,5 +148,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/gd2gc.c
===================================================================
--- trunk/FACT++/erfa/src/gd2gc.c	(revision 18710)
+++ trunk/FACT++/erfa/src/gd2gc.c	(revision 18711)
@@ -55,5 +55,5 @@
 **     eraZp        zero p-vector
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -61,4 +61,5 @@
    int j;
    double a, f;
+
 
 /* Obtain reference ellipsoid parameters. */
@@ -81,5 +82,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/gd2gce.c
===================================================================
--- trunk/FACT++/erfa/src/gd2gce.c	(revision 18710)
+++ trunk/FACT++/erfa/src/gd2gce.c	(revision 18711)
@@ -56,9 +56,10 @@
 **     Section 4.22, p202.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double sp, cp, w, d, ac, as, r;
+
 
 /* Functions of geodetic latitude. */
@@ -85,5 +86,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/gmst00.c
===================================================================
--- trunk/FACT++/erfa/src/gmst00.c	(revision 18710)
+++ trunk/FACT++/erfa/src/gmst00.c	(revision 18711)
@@ -69,9 +69,10 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double t, gmst;
+
 
 /* TT Julian centuries since J2000.0. */
@@ -93,5 +94,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/gmst06.c
===================================================================
--- trunk/FACT++/erfa/src/gmst06.c	(revision 18710)
+++ trunk/FACT++/erfa/src/gmst06.c	(revision 18711)
@@ -59,9 +59,10 @@
 **     Astron.Astrophys. 432, 355
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double t, gmst;
+
 
 /* TT Julian centuries since J2000.0. */
@@ -84,5 +85,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/gmst82.c
===================================================================
--- trunk/FACT++/erfa/src/gmst82.c	(revision 18710)
+++ trunk/FACT++/erfa/src/gmst82.c	(revision 18711)
@@ -61,5 +61,5 @@
 **     Aoki et al., Astron. Astrophys. 105, 359-361 (1982).
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -76,4 +76,5 @@
 
    double d1, d2, t, f, gmst;
+
 
 /* Julian centuries since fundamental epoch. */
@@ -99,5 +100,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/gst00a.c
===================================================================
--- trunk/FACT++/erfa/src/gst00a.c	(revision 18710)
+++ trunk/FACT++/erfa/src/gst00a.c	(revision 18711)
@@ -70,9 +70,10 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double gmst00, ee00a, gst;
+
 
    gmst00 = eraGmst00(uta, utb, tta, ttb);
@@ -86,5 +87,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/gst00b.c
===================================================================
--- trunk/FACT++/erfa/src/gst00b.c	(revision 18710)
+++ trunk/FACT++/erfa/src/gst00b.c	(revision 18711)
@@ -78,9 +78,10 @@
 **     IERS Technical Note No. 32, BKG (2004)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double gmst00, ee00b, gst;
+
 
    gmst00 = eraGmst00(uta, utb, uta, utb);
@@ -94,5 +95,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/gst06.c
===================================================================
--- trunk/FACT++/erfa/src/gst06.c	(revision 18710)
+++ trunk/FACT++/erfa/src/gst06.c	(revision 18711)
@@ -65,9 +65,10 @@
 **     Wallace, P.T. & Capitaine, N., 2006, Astron.Astrophys. 459, 981
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double x, y, s, era, eors, gst;
+
 
 /* Extract CIP coordinates. */
@@ -88,5 +89,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/gst06a.c
===================================================================
--- trunk/FACT++/erfa/src/gst06a.c	(revision 18710)
+++ trunk/FACT++/erfa/src/gst06a.c	(revision 18711)
@@ -61,9 +61,10 @@
 **     Wallace, P.T. & Capitaine, N., 2006, Astron.Astrophys. 459, 981
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double rnpb[3][3], gst;
+
 
 /* Classical nutation x precession x bias matrix, IAU 2000A. */
@@ -79,5 +80,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/gst94.c
===================================================================
--- trunk/FACT++/erfa/src/gst94.c	(revision 18710)
+++ trunk/FACT++/erfa/src/gst94.c	(revision 18711)
@@ -63,9 +63,10 @@
 **     IAU Resolution C7, Recommendation 3 (1994)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double gmst82, eqeq94, gst;
+
 
    gmst82 = eraGmst82(uta, utb);
@@ -79,5 +80,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/h2fk5.c
===================================================================
--- trunk/FACT++/erfa/src/h2fk5.c	(revision 18710)
+++ trunk/FACT++/erfa/src/h2fk5.c	(revision 18711)
@@ -56,5 +56,5 @@
 **     F.Mignard & M.Froeschle, Astron. Astrophys. 354, 732-739 (2000).
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -62,4 +62,5 @@
    int i;
    double pvh[2][3], r5h[3][3], s5h[3], sh[3], wxp[3], vv[3], pv5[2][3];
+
 
 /* Hipparcos barycentric position/velocity pv-vector (normalized). */
@@ -96,5 +97,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/hfk5z.c
===================================================================
--- trunk/FACT++/erfa/src/hfk5z.c	(revision 18710)
+++ trunk/FACT++/erfa/src/hfk5z.c	(revision 18711)
@@ -75,5 +75,5 @@
 **     F.Mignard & M.Froeschle, 2000, Astron.Astrophys. 354, 732-739.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -82,4 +82,5 @@
    rst[3][3], r5ht[3][3], pv5e[2][3], vv[3],
    w, r, v;
+
 
 /* Time interval from fundamental epoch J2000.0 to given date (JY). */
@@ -123,5 +124,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/icrs2g.c
===================================================================
--- trunk/FACT++/erfa/src/icrs2g.c	(revision 18710)
+++ trunk/FACT++/erfa/src/icrs2g.c	(revision 18711)
@@ -62,5 +62,5 @@
 **     Publications Division, Noordwijk, Netherlands.
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -110,5 +110,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/ir.c
===================================================================
--- trunk/FACT++/erfa/src/ir.c	(revision 18710)
+++ trunk/FACT++/erfa/src/ir.c	(revision 18711)
@@ -12,5 +12,5 @@
 **     r       double[3][3]    r-matrix
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -32,5 +32,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/jd2cal.c
===================================================================
--- trunk/FACT++/erfa/src/jd2cal.c	(revision 18710)
+++ trunk/FACT++/erfa/src/jd2cal.c	(revision 18711)
@@ -51,5 +51,5 @@
 **     Section 12.92 (p604).
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -61,4 +61,5 @@
    long jd, l, n, i, k;
    double dj, d1, d2, f1, f2, f, d;
+
 
 /* Verify date is acceptable. */
@@ -103,5 +104,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/jdcalf.c
===================================================================
--- trunk/FACT++/erfa/src/jdcalf.c	(revision 18710)
+++ trunk/FACT++/erfa/src/jdcalf.c	(revision 18711)
@@ -56,5 +56,5 @@
 **     Section 12.92 (p604).
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -62,4 +62,5 @@
    int j, js;
    double denom, d1, d2, f1, f2, f;
+
 
 /* Denominator of fraction (e.g. 100 for 2 decimal places). */
@@ -109,5 +110,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/ld.c
===================================================================
--- trunk/FACT++/erfa/src/ld.c	(revision 18710)
+++ trunk/FACT++/erfa/src/ld.c	(revision 18711)
@@ -69,5 +69,5 @@
 **     eraPxp       vector product of two p-vectors
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -75,4 +75,5 @@
    int i;
    double qpe[3], qdqpe, w, eq[3], peq[3];
+
 
 /* q . (q + e). */
@@ -100,5 +101,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/ldn.c
===================================================================
--- trunk/FACT++/erfa/src/ldn.c	(revision 18710)
+++ trunk/FACT++/erfa/src/ldn.c	(revision 18711)
@@ -79,5 +79,5 @@
 **     eraLd        light deflection by a solar-system body
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -88,4 +88,5 @@
    int i;
    double  v[3], dt, ev[3], em, e[3];
+
 
 /* Star direction prior to deflection. */
@@ -122,5 +123,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/ldsun.c
===================================================================
--- trunk/FACT++/erfa/src/ldsun.c	(revision 18710)
+++ trunk/FACT++/erfa/src/ldsun.c	(revision 18711)
@@ -24,7 +24,8 @@
 **
 **  2) The deflection is restrained when the angle between the star and
-**     the center of the Sun is less than about 9 arcsec, falling to
-**     zero for zero separation. (The chosen threshold is within the
-**     solar limb for all solar-system applications.)
+**     the center of the Sun is less than a threshold value, falling to
+**     zero deflection for zero separation.  The chosen threshold value
+**     is within the solar limb for all solar-system applications, and
+**     is about 5 arcminutes for the case of a terrestrial observer.
 **
 **  3) The arguments p and p1 can be the same array.
@@ -33,9 +34,18 @@
 **     eraLd        light deflection by a solar-system body
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
-   eraLd(1.0, p, p, e, em, 1e-9, p1);
+   double em2, dlim;
+
+
+/* Deflection limiter (smaller for distant observers). */
+   em2 = em*em;
+   if ( em2 < 1.0 ) em2 = 1.0;
+   dlim = 1e-6 / (em2 > 1.0 ? em2 : 1.0);
+
+/* Apply the deflection. */
+   eraLd(1.0, p, p, e, em, dlim, p1);
 
 /* Finished. */
@@ -45,5 +55,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/num00a.c
===================================================================
--- trunk/FACT++/erfa/src/num00a.c	(revision 18710)
+++ trunk/FACT++/erfa/src/num00a.c	(revision 18711)
@@ -53,9 +53,10 @@
 **     Section 3.222-3 (p114).
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double dpsi, deps, epsa, rb[3][3], rp[3][3], rbp[3][3], rbpn[3][3];
+
 
 /* Obtain the required matrix (discarding other results). */
@@ -69,5 +70,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/num00b.c
===================================================================
--- trunk/FACT++/erfa/src/num00b.c	(revision 18710)
+++ trunk/FACT++/erfa/src/num00b.c	(revision 18711)
@@ -53,9 +53,10 @@
 **     Section 3.222-3 (p114).
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double dpsi, deps, epsa, rb[3][3], rp[3][3], rbp[3][3], rbpn[3][3];
+
 
 /* Obtain the required matrix (discarding other results). */
@@ -69,5 +70,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/num06a.c
===================================================================
--- trunk/FACT++/erfa/src/num06a.c	(revision 18710)
+++ trunk/FACT++/erfa/src/num06a.c	(revision 18711)
@@ -52,9 +52,10 @@
 **     Section 3.222-3 (p114).
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double eps, dp, de;
+
 
 /* Mean obliquity. */
@@ -73,5 +74,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/numat.c
===================================================================
--- trunk/FACT++/erfa/src/numat.c	(revision 18710)
+++ trunk/FACT++/erfa/src/numat.c	(revision 18711)
@@ -17,4 +17,5 @@
 **
 **  Notes:
+**
 **
 **  1) The supplied mean obliquity epsa, must be consistent with the
@@ -41,5 +42,5 @@
 **     Section 3.222-3 (p114).
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -57,5 +58,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/nut00a.c
===================================================================
--- trunk/FACT++/erfa/src/nut00a.c	(revision 18710)
+++ trunk/FACT++/erfa/src/nut00a.c	(revision 18711)
@@ -149,5 +149,5 @@
 **     Resolutions", in IERS Workshop 5.1 (2002)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -1996,5 +1996,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/nut00b.c
===================================================================
--- trunk/FACT++/erfa/src/nut00b.c	(revision 18710)
+++ trunk/FACT++/erfa/src/nut00b.c	(revision 18711)
@@ -117,5 +117,5 @@
 **     Francou, G., Laskar, J., Astron.Astrophys. 282, 663-683 (1994)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -321,5 +321,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/nut06a.c
===================================================================
--- trunk/FACT++/erfa/src/nut06a.c	(revision 18710)
+++ trunk/FACT++/erfa/src/nut06a.c	(revision 18711)
@@ -76,9 +76,10 @@
 **     Resolutions", in IERS Workshop 5.1 (2002)
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
 {
    double t, fj2, dp, de;
+
 
 /* Interval between fundamental date J2000.0 and given date (JC). */
@@ -101,5 +102,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
Index: trunk/FACT++/erfa/src/nut80.c
===================================================================
--- trunk/FACT++/erfa/src/nut80.c	(revision 18710)
+++ trunk/FACT++/erfa/src/nut80.c	(revision 18711)
@@ -49,5 +49,5 @@
 **     Section 3.222 (p111).
 **
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  Derived, with permission, from the SOFA library.  See notes at end of file.
 */
@@ -274,5 +274,5 @@
 **  
 **  
-**  Copyright (C) 2013-2015, NumFOCUS Foundation.
+**  Copyright (C) 2013-2016, NumFOCUS Foundation.
 **  All rights reserved.
 **  
